org.apache.ignite.internal.processors.cache.query

## Interface GridCacheQueriesEx<K,V>

All Superinterfaces:
  CacheQueries<K,V>

All Known Implementing Classes:
  GridCacheQueriesImpl, GridCacheQueriesProxy

    public interface GridCacheQueriesEx<K,V>
    extends CacheQueries<K,V>

Extended queries interface.

### Method Summary

Methods
`<R> CacheQuery<R>` `createSpiQuery()` Creates SPI query.
`CacheQuery<List<?>>` `createSqlFieldsQuery(String qry, boolean incMeta)` Creates SQL fields query which will include results metadata if needed.
`QueryCursor<List<?>>` `execute(String space, GridCacheTwoStepQuery qry)`
`QueryCursor<List<?>>` `executeTwoStepQuery(String space, String sqlQry, Object... params)`
`Collection<GridCacheSqlMetadata>` `sqlMetadata()` Gets SQL metadata.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.query.CacheQueries

`createFullTextQuery, createFullTextQuery, createScanQuery, createSqlFieldsQuery, createSqlQuery, createSqlQuery, metrics, rebuildAllIndexes, rebuildIndexes, rebuildIndexes, resetMetrics`

### Method Detail

#### sqlMetadata

    Collection<GridCacheSqlMetadata> sqlMetadata()
                                                 throws IgniteCheckedException

Gets SQL metadata.

Returns:
  SQL metadata.
Throws:
  `IgniteCheckedException` - In case of error.

#### createSqlFieldsQuery

    CacheQuery<List<?>> createSqlFieldsQuery(String qry,
                                           boolean incMeta)

Creates SQL fields query which will include results metadata if needed.

Parameters:
  `qry` - SQL query.
  `incMeta` - Whether to include results metadata.
Returns:
  Created query.

#### createSpiQuery

    <R> CacheQuery<R> createSpiQuery()

Creates SPI query.

Returns:
  Query.

#### execute

    QueryCursor<List<?>> execute(String space,
                               GridCacheTwoStepQuery qry)

Parameters:
  `space` - Space name.
  `qry` - Query.
Returns:
  Cursor.

#### executeTwoStepQuery

    QueryCursor<List<?>> executeTwoStepQuery(String space,
                                           String sqlQry,
                                           Object... params)

Parameters:
  `space` - Space.
  `sqlQry` - Query.
  `params` - Parameters.
Returns:
  Cursor.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015